package domain


type AlibabaAxWarehouseOutboundCallbackTradeOutBoundDetailCallBackRequest struct {
    /*
        缺货出销售数量     */
    OutOfStockSaleQuantity  *string `json:"out_of_stock_sale_quantity,omitempty" `

    /*
        渠道子单号     */
    ChannelSubOrderNo  *string `json:"channel_sub_order_no,omitempty" `

    /*
        扩展字段     */
    Extension  *string `json:"extension,omitempty" `

    /*
        实际出库销售数量     */
    ActualSaleQuantity  *string `json:"actual_sale_quantity,omitempty" `

    /*
        实际出库库存数量     */
    ActualStockQuantity  *string `json:"actual_stock_quantity,omitempty" `

    /*
        缺货出库存数量     */
    OutOfStockStockQuantity  *string `json:"out_of_stock_stock_quantity,omitempty" `

    /*
        oms子单号     */
    BizSubOrderId  *string `json:"biz_sub_order_id,omitempty" `

    /*
        商品sku编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        是否缺货出     */
    IsOutStock  *bool `json:"is_out_stock,omitempty" `

    /*
        称重品商品实称重量/g     */
    SkuWeights  *[]AlibabaAxWarehouseOutboundCallbackBigDecimal `json:"sku_weights,omitempty" `

}

func (s *AlibabaAxWarehouseOutboundCallbackTradeOutBoundDetailCallBackRequest) SetOutOfStockSaleQuantity(v string) *AlibabaAxWarehouseOutboundCallbackTradeOutBoundDetailCallBackRequest {
    s.OutOfStockSaleQuantity = &v
    return s
}
func (s *AlibabaAxWarehouseOutboundCallbackTradeOutBoundDetailCallBackRequest) SetChannelSubOrderNo(v string) *AlibabaAxWarehouseOutboundCallbackTradeOutBoundDetailCallBackRequest {
    s.ChannelSubOrderNo = &v
    return s
}
func (s *AlibabaAxWarehouseOutboundCallbackTradeOutBoundDetailCallBackRequest) SetExtension(v string) *AlibabaAxWarehouseOutboundCallbackTradeOutBoundDetailCallBackRequest {
    s.Extension = &v
    return s
}
func (s *AlibabaAxWarehouseOutboundCallbackTradeOutBoundDetailCallBackRequest) SetActualSaleQuantity(v string) *AlibabaAxWarehouseOutboundCallbackTradeOutBoundDetailCallBackRequest {
    s.ActualSaleQuantity = &v
    return s
}
func (s *AlibabaAxWarehouseOutboundCallbackTradeOutBoundDetailCallBackRequest) SetActualStockQuantity(v string) *AlibabaAxWarehouseOutboundCallbackTradeOutBoundDetailCallBackRequest {
    s.ActualStockQuantity = &v
    return s
}
func (s *AlibabaAxWarehouseOutboundCallbackTradeOutBoundDetailCallBackRequest) SetOutOfStockStockQuantity(v string) *AlibabaAxWarehouseOutboundCallbackTradeOutBoundDetailCallBackRequest {
    s.OutOfStockStockQuantity = &v
    return s
}
func (s *AlibabaAxWarehouseOutboundCallbackTradeOutBoundDetailCallBackRequest) SetBizSubOrderId(v string) *AlibabaAxWarehouseOutboundCallbackTradeOutBoundDetailCallBackRequest {
    s.BizSubOrderId = &v
    return s
}
func (s *AlibabaAxWarehouseOutboundCallbackTradeOutBoundDetailCallBackRequest) SetSkuCode(v string) *AlibabaAxWarehouseOutboundCallbackTradeOutBoundDetailCallBackRequest {
    s.SkuCode = &v
    return s
}
func (s *AlibabaAxWarehouseOutboundCallbackTradeOutBoundDetailCallBackRequest) SetIsOutStock(v bool) *AlibabaAxWarehouseOutboundCallbackTradeOutBoundDetailCallBackRequest {
    s.IsOutStock = &v
    return s
}
func (s *AlibabaAxWarehouseOutboundCallbackTradeOutBoundDetailCallBackRequest) SetSkuWeights(v []AlibabaAxWarehouseOutboundCallbackBigDecimal) *AlibabaAxWarehouseOutboundCallbackTradeOutBoundDetailCallBackRequest {
    s.SkuWeights = &v
    return s
}
